petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscSortMPIIntWithIntArray

Sorts an array of MPI integers in place in increasing order; changes a second array of Petsc intergers to match the sorted first array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortMPIIntWithIntArray(PetscMPIInt n,PetscMPIInt X[],PetscInt Y[])

Not Collective

### Input Parameters

| n | - number of values
| X | - array of MPI integers
| Y | - second array of Petsc integers

Notes: this routine is useful when one needs to sort MPI ranks with other integer arrays.

### See Also

PetscSortMPIIntWithArray()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages